# $Revision: 1.172 $, $Date: 2010/09/27 12:11:04 $
#
# TODO:
# - kernel header is additional BR  (whatever it means???)
# - broken build without kernel
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace module
%bcond_with	force_userspace	# force userspace build (useful if alt_kernel is set)
%bcond_with	verbose		# verbose build (V=1)
#
%define		snap_year	2010
%define		snap_month	06
%define		snap_day	20
%define		snap		%{snap_year}%{snap_month}%{snap_day}
%define		snapdate	%{snap_year}-%{snap_month}-%{snap_day}
%define		prel	0.%{snap}.%{rel}
%define		trunk	r4132

%define		rel		13

%if "%{_alt_kernel}" != "%{nil}"
%if %{with kernel}
%undefine	with_userspace
%endif
%endif
%if %{with force_userspace}
%define		with_userspace 1
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		pname	madwifi-ng
%define		tname	madwifi-trunk

Summary:	Atheros WiFi card driver
Summary(pl.UTF-8):	Sterownik karty radiowej Atheros
Name:		%{pname}%{_alt_kernel}
Version:	0
Release:	%{prel}
License:	GPL/BSD (partial source)
Group:		Base/Kernel
Provides:	madwifi
Obsoletes:	madwifi
Source0:	http://snapshots.madwifi-project.org/madwifi-trunk/%{tname}-%{trunk}-%{snap}.tar.gz
# Source0-md5:	96adef26bd28dc32f7ffac059b17786c
# http://patches.aircrack-ng.org/madwifi-ng-r4073.patch
Patch0:		%{pname}-r4073.patch
# needed when build against (more noisy) pax enabled kernel
Patch1:		%{pname}-makefile-werror.patch
# http://madwifi-project.org/ticket/617
Patch2:		%{pname}-ticket-617.patch
Patch3:		%{pname}-ieee80211-skb-update.patch
URL:		http://madwifi-project.org/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
ExclusiveArch:	alpha arm %{ix86} %{x8664} mips powerpc ppc sparc sparcv9 sparc64 xscale
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atheros WiFi card driver. Supports Virtual APs and WDS Mode. It uses
binary HAL and supports AR5210, AR5211, AR5212, RF5111, RF5112, RF2413
and RF5413 cards.

%description -l pl.UTF-8
Sterownik karty radiowej Atheros. Wspiera tryb wirtualnego AP oraz
tryb WDS. Używa binarnej wersji HAL i obsługuje karty z układami
AR5210, AR5211, AR5212, RF5111, RF5112, RF2413 i RF5413.

%package devel
Summary:	Header files for madwifi
Summary(pl.UTF-8):	Pliki nagłówkowe dla madwifi
Group:		Development/Libraries
Provides:	madwifi-devel
Obsoletes:	madwifi-devel

%description devel
Header files for madwifi.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla madwifi.

%package -n kernel%{_alt_kernel}-net-madwifi-ng
Summary:	Linux driver for Atheros cards
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart Atheros
Release:	%{prel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
Obsoletes:	kernel-smp-net-madwifi-ng
%endif

%description -n kernel%{_alt_kernel}-net-madwifi-ng
This is driver for Atheros card for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-net-madwifi-ng -l pl.UTF-8
Sterownik dla Linuksa do kart Atheros.

Ten pakiet zawiera moduł jądra Linuksa.

%prep
%setup -q -n %{tname}-%{trunk}-%{snap}
# airckrack-ng
%patch0 -p1
# werror
%patch1 -p1
# fix - ticket 617
%patch2 -p1
%patch3 -p1

%build
%if %{with userspace}
%{__make} -C tools \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	KERNELCONF="%{_kernelsrcdir}/config-%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}"
%endif

%ifarch alpha %{ix86} %{x8664}
%define target %{_target_base_arch}-elf
%endif
%ifarch sparc sparcv9 sparc64
%define target %{_target_base_arch}-be-elf
%endif
%ifarch powerpc ppc
%define target powerpc-be-elf
%endif

%if %{with kernel}
# kernel module(s)

# default is ath_rate_sample now compiles, _onoe does not
%define modules_ath ath/ath_pci,ath_hal/ath_hal,ath_rate/sample/ath_rate_sample
%define modules_wlan net80211/wlan,net80211/wlan_{wep,xauth,acl,ccmp,tkip,scan_{ap,sta}}
%define modules %{modules_ath},%{modules_wlan}

%define opts TARGET=%{target} KERNELPATH="%{_kernelsrcdir}" KERNELCONF="%{_kernelsrcdir}/config-%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}" TOOLPREFIX= LDFLAGS_MODULE=

%{__make} %{opts}  svnversion.h
%build_kernel_modules -c -m %{modules} %{opts} <<'EOF'
find -name "*.o" | xargs -r rm
ln -sf ../Makefile.inc o/Makefile.inc
EOF

%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install-tools \
	TARGET=%{target} \
	KERNELCONF="%{_kernelsrcdir}/config-%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}" \
	KERNELPATH="%{_kernelsrcdir}" \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}

install -d $RPM_BUILD_ROOT%{_includedir}/madwifi/net80211
install -d $RPM_BUILD_ROOT%{_includedir}/madwifi/include/sys
install net80211/*.h $RPM_BUILD_ROOT%{_includedir}/madwifi/net80211
install include/*.h $RPM_BUILD_ROOT%{_includedir}/madwifi/include
install include/sys/*.h $RPM_BUILD_ROOT%{_includedir}/madwifi/include/sys
%endif

%if %{with kernel}
%install_kernel_modules -m %{modules} -d kernel/net
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-madwifi-ng
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-madwifi-ng
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/madwifi
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-madwifi-ng
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/net/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: madwifi-ng.spec,v $
Revision 1.172  2010/09/27 12:11:04  arekm
- release 13

Revision 1.171  2010/09/21 07:58:16  arekm
- release 12

Revision 1.170  2010/09/16 06:48:20  arekm
- release 11

Revision 1.169  2010/08/27 08:35:34  arekm
- release 10

Revision 1.168  2010/08/22 05:47:08  arekm
- release 9

Revision 1.167  2010/08/15 16:42:21  arekm
- release 8

Revision 1.166  2010/08/11 09:28:00  arekm
- release 7

Revision 1.165  2010/08/09 07:57:17  arekm
- release 6

Revision 1.164  2010/07/06 16:12:00  arekm
- release 5

Revision 1.163  2010/07/06 12:32:14  shadzik
- rel up

Revision 1.162  2010/07/05 20:23:25  shadzik
- rel up

Revision 1.161  2010/07/01 22:52:25  shadzik
- rel 2

Revision 1.160  2010/06/20 12:42:09  arvenil
- up to r4132-20100620
- release 1

Revision 1.159  2010/05/28 17:57:25  arekm
- release 2

Revision 1.158  2010/05/24 22:21:30  arvenil
- up to r4128-20100325

Revision 1.157  2010/05/18 17:38:44  arekm
- release 7

Revision 1.156  2010/04/28 13:29:43  arekm
- release 6

Revision 1.155  2010/04/16 11:50:59  hawk
- release 5

Revision 1.154  2010/04/11 14:37:27  shadzik
- rel 4

Revision 1.153  2010/03/17 07:28:40  arekm
- release 3

Revision 1.152  2010/03/16 06:14:12  arekm
- release 2

Revision 1.151  2010/03/13 21:59:58  shadzik
- up to madwifi-trunk-r4122-20100313
- builds with 2.6.33

Revision 1.150  2010/02/15 09:40:41  arekm
- release 10

Revision 1.149  2010/01/08 18:10:28  arekm
- release 9

Revision 1.148  2009/12/19 11:00:25  arekm
- release 8

Revision 1.147  2009/12/16 18:00:16  arekm
- release 7

Revision 1.146  2009/12/12 20:02:57  arekm
- release 6

Revision 1.145  2009/11/22 20:58:12  arekm
- release 5

Revision 1.144  2009/11/22 12:32:52  arvenil
- aircrack patch up to r4073
- added force_userspace bcond
- cleanup
- all changes from DEVEL are merged
- release 4

Revision 1.143  2009/11/12 09:37:58  arekm
- release 3

Revision 1.142  2009/11/04 02:22:36  shadzik
- allow userspace build for _alt_kernels too _if_ --without kernel was selected

Revision 1.141  2009/11/01 16:39:08  arekm
- release 2

Revision 1.140  2009/10/25 22:28:44  shadzik
- unset LDFLAGS_MODULE
- builds on 2.6.32-rc5

Revision 1.139  2009/10/25 22:12:26  shadzik
- snap r4099-20090929
- url changed

Revision 1.138  2009/10/21 19:06:00  arekm
- release 8

Revision 1.137  2009/10/16 19:51:30  hawk
- release 7

Revision 1.136  2009/09/24 22:47:59  hawk
- release 6

Revision 1.135  2009/09/17 19:01:36  hawk
- release 5

Revision 1.134  2009/08/18 12:22:01  hawk
- release 4

Revision 1.133  2009/08/01 20:13:08  arekm
- release 3

Revision 1.132  2009/07/20 19:38:26  shadzik
- fetch from dropin

Revision 1.131  2009/07/20 19:32:50  shadzik
- rel 2

Revision 1.130  2009/07/14 17:23:56  shadzik
- re-apply patch0 (r3745)

Revision 1.129  2009/07/14 17:11:57  shadzik
- patches 1,2 and 3 apply correctly
- patch 4 is obsolete (2.6.29.patch)

Revision 1.128  2009/07/14 17:10:15  shadzik
- latest trunk
- all patches commented out
- rel 1; works

Revision 1.127  2009/07/12 19:17:52  hawk
- release 19

Revision 1.126  2009/06/20 18:36:35  hawk
- release 18

Revision 1.125  2009/04/21 20:02:05  arekm
- release 17

Revision 1.124  2009/04/08 22:17:23  zbyniu
- patch for .29; rel 16

Revision 1.123  2009/03/25 19:40:26  arekm
- release 15

Revision 1.122  2009/03/23 11:38:47  shadzik
- rel 14

Revision 1.121  2009/03/18 08:40:52  arekm
- release 13

Revision 1.120  2009/03/13 19:58:28  arekm
- release 12

Revision 1.119  2009/02/26 21:46:43  arekm
- release 11

Revision 1.118  2009/02/24 23:24:40  hawk
- release 10

Revision 1.117  2009/02/24 23:19:58  hawk
- reverted to 20081204, sorry, kernel rebuild is required and can't have
  untested release 0.1 for it, r3941-20090205 branched as DEVEL

Revision 1.116  2009/02/22 10:15:44  arvenil
- up to r3941-20090205
- Patch0 updated
- domain switch
- release 0.1 (not tested yet)

Revision 1.115  2009/02/17 23:04:09  arekm
- release 9

Revision 1.114  2009/02/14 14:03:00  pluto
- release 8 for 2.6.28.5-1.

Revision 1.113  2009/02/10 07:27:34  arekm
- release 7

Revision 1.112  2009/02/07 16:56:53  arekm
- release 6

Revision 1.111  2009/01/25 12:55:37  arekm
- release 5

Revision 1.110  2009/01/19 12:30:15  arekm
- release 4

Revision 1.109  2009/01/15 12:54:03  arekm
- release 3

Revision 1.108  2009/01/10 22:37:26  arekm
- release 2

Revision 1.107  2009/01/02 23:35:16  arvenil
- release 1

Revision 1.106  2009/01/02 23:34:01  arvenil
- up to r3878-20081204

Revision 1.105  2008/12/19 06:30:56  arekm
- release 11

Revision 1.104  2008/12/14 11:42:50  arekm
- release 10

Revision 1.103  2008/12/06 09:00:04  arekm
- release 9

Revision 1.102  2008/12/04 00:59:59  pluto
- release 8 for 2.6.27.7-3.

Revision 1.101  2008/11/21 16:15:31  arekm
- release 7

Revision 1.100  2008/11/15 11:29:11  hawk
- release 6

Revision 1.99  2008/11/08 09:26:57  arekm
- release 5

Revision 1.98  2008/11/04 07:41:47  arekm
- release 4

Revision 1.97  2008/10/25 13:55:48  hawk
- release 3

Revision 1.96  2008/10/13 20:47:44  arekm
- release 2

Revision 1.95  2008/10/05 20:52:04  paszczus
- updated to r3867 snapshot (20080924)

Revision 1.94  2008/09/16 21:28:11  arvenil
- added TODO

Revision 1.93  2008/09/09 09:09:59  hawk
- release 1

Revision 1.92  2008/09/04 00:51:42  mguevara
- up to madwifi-trunk-r3856-20080903, changed KERNELCONF in build/kernel
  section; pkg name not changed - still madwifi-ng;
- rel 0.1 - tested ok (as an ap) with 2.6.25.16 (pax-grsecirity-pae)

Revision 1.91  2008/09/02 06:41:51  arekm
- release 5

Revision 1.90  2008/08/24 14:59:19  pluto
- release 4.

Revision 1.89  2008/08/19 11:35:13  pluto
- don't BR sharutils (uudecode is shipped inside ath_hal subdir).

Revision 1.88  2008/08/06 20:19:50  hawk
- release 3

Revision 1.87  2008/08/03 10:19:58  arekm
- release 2

Revision 1.86  2008/07/29 06:48:28  hawk
- fix building with kernel 2.6.26, release 1

Revision 1.85  2008/07/23 19:14:35  arvenil
- up to r3556-20080421

Revision 1.84  2008/07/19 08:01:07  arekm
- release 17

Revision 1.83  2008/07/15 09:15:52  arekm
- release 16

Revision 1.82  2008/07/02 20:43:45  arekm
- release 15

Revision 1.81  2008/06/26 06:46:20  arekm
- release 14

Revision 1.80  2008/06/25 10:15:01  arekm
- release 13

Revision 1.79  2008/06/23 19:15:00  hawk
- release 12

Revision 1.78  2008/06/11 15:49:27  hawk
- release 11

Revision 1.77  2008-06-08 16:52:20  hawk
- release 10

Revision 1.76  2008-05-24 10:08:25  hawk
- release 9

Revision 1.75  2008-05-09 22:08:20  areq
- fix without kernel build

Revision 1.74  2008-05-05 16:07:33  hawk
- release 8

Revision 1.73  2008-04-15 13:26:07  glen
- disable userspace for kernel only build

Revision 1.72  2008-03-27 20:59:30  glen
- rel 7 (2.6.22.19-5)

Revision 1.71  2008-03-10 12:21:52  arekm
- release 6

Revision 1.70  2008-02-29 09:09:23  hawk
- release 5

Revision 1.69  2008-02-11 11:32:28  arekm
- rel 4

Revision 1.68  2008-02-08 08:51:46  hawk
- release 3

Revision 1.67  2008-02-03 07:39:36  hawk
- release 2

Revision 1.66  2008-01-25 00:21:49  pluto
- updated to 2008.01.24.r3235 (atheros based AP with WPA2/AES works for me again).

Revision 1.65  2008-01-23 17:46:35  hawk
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels

Revision 1.64  2008-01-22 22:54:32  glen
- rel 8 (2.6.16.59-2)

Revision 1.63  2008-01-21 23:22:44  hawk
- release .7

Revision 1.62  2007-12-17 14:19:11  arekm
- rel .6

Revision 1.61  2007-12-15 12:00:04  arekm
- rel .5

Revision 1.60  2007-11-29 08:05:35  arekm
- rel .4

Revision 1.59  2007-11-25 10:36:55  arekm
- rel .3

Revision 1.58  2007-10-30 21:47:33  adamg
- snap 20071030 (r2799)

Revision 1.57  2007/10/24 13:51:43  arekm
- rel .2

Revision 1.56  2007/10/18 19:24:34  adamg
- snap 20071018 (r2756)

Revision 1.55  2007/10/13 10:12:56  adamg
- snap 20071012 (r2736)

Revision 1.54  2007/10/12 12:50:07  arekm
- rel .2

Revision 1.53  2007/08/29 20:07:01  adamg
- snap 20070829 (r2695)

Revision 1.52  2007/08/09 07:54:13  adamg
- release 3 (rebuild against 2.6.21.7)

Revision 1.51  2007/06/08 21:42:22  arekm
- rel .2

Revision 1.50  2007/05/24 14:23:14  mguevara
- up to r2362
- new HAL 0.9.30.13
- fixes 2 remote and 1 local DoS (tickets #1270, #1334, #1335)

Revision 1.49  2007/05/04 21:59:43  mguevara
- up to madwifi-ng-r2308-20070504

Revision 1.48  2007/04/20 10:23:48  pluto
- bump release and rebuild with 2.6.20.7.

Revision 1.47  2007/04/15 15:17:16  shadzik
- proper kernel-modul-build version

Revision 1.46  2007/03/16 10:58:42  pluto
- build updated for new kernel layout.

Revision 1.45  2007/03/14 23:44:51  pluto
- use correct up/smp config.

Revision 1.44  2007/03/14 00:23:26  glen
- up bcond

Revision 1.43  2007/03/07 12:32:59  mguevara
- _rel 0.2
- readded madwifi-ng-makefile-werror.patch

Revision 1.42  2007/02/25 21:24:06  mguevara
- up to r2156

Revision 1.41  2007/02/20 09:06:02  mguevara
- up to r2126, madwifi-ng-gcc4.patch removed - not needed anymore

Revision 1.40  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.38  2007/02/10 22:58:12  mguevara
- up to r2100, werror patch removed, compat.h included in Makefile, incs not needed

Revision 1.37  2007/02/07 14:46:34  mguevara
- up to r2085, patch2 madwifi-ng-iee80211_wireless.c.patch committed to r2079 btw

Revision 1.36  2007/02/04 22:07:13  mguevara
- up to r2069 (linux-2.6.20-paravirt_ops-needed-by-blobs.patch in kernel
  2.6.20 no longer needed for madwifi-ng - uses real time not virtalized)

Revision 1.35  2007/02/01 16:47:18  mguevara
- added info about HAL supported cards/chipsets.

Revision 1.34  2007/02/01 14:31:04  mguevara
- up to r2056

Revision 1.33  2007/01/12 09:57:16  qboosh
- typo

Revision 1.32  2007/01/12 09:29:30  mguevara
- cosmetics

Revision 1.31  2007/01/12 09:27:00  mguevara
- up to r1931, updated aircrack-ng, removed 2.6.20

Revision 1.30  2007/01/10 23:36:03  mguevara
- rel 0.snap.3
- new version of madwifi-ng-2.6.20.patch for default build of the 2.6.20
  kernel (regparm stuff enabled)

Revision 1.29  2007/01/10 09:48:13  mguevara
- rel 0.snap.2
- backward compatible version of madwifi-ng-2.6.20.patch

Revision 1.28  2007/01/10 01:40:48  mguevara
- fixes build with 2.6.20

Revision 1.27  2006/12/19 23:24:20  mguevara
- up to r1860
- added p4 madwifi-ng-makefile-werror.patch for 2.6.19 build

Revision 1.26  2006/12/11 09:09:39  mguevara
- up to r1850 - proper fixes oops condition (not in r1844)

Revision 1.25  2006/12/09 00:55:43  mguevara
- update to ng-r1844-20061208 (security)
- fixes CVE-2006-6332 (exploitable local & remote kernel code injection)
  and oops condition (the last fix is not included in the latest 0.9.2.1)

Revision 1.24  2006/11/24 00:02:10  sparky
- use %build_kernel_modules and %install_kernel_modules

Revision 1.23  2006/11/23 01:02:38  adamg
- alt_kernel support

Revision 1.22  2006/10/30 09:40:27  mguevara
- madwifi-ng-r1784-20061027 update (some of dadwifi included)
- kernel subpackages have *-madwifi-ng name instead of *-madwifi

Revision 1.21  2006/10/24 10:03:20  mguevara
- madwifi-ng-r1763-20061024, 3 patches from Lintrack merged into release,
  fixes ETSI EN 301 893 violation

Revision 1.20  2006/10/21 01:27:32  mguevara
- rel .5, use copy_to_user instead strncpy in ieee80211_wireless.c
  ieee80211_ioctl_create_vap (patch6)

Revision 1.19  2006/10/21 01:07:34  mguevara
- rel .4, added patches from lintrack, from 0.9.3 milestone queue

Revision 1.18  2006/10/21 00:35:05  mguevara
- rel++, increase receive buffer - fix dropping of packages in receiver

Revision 1.17  2006/10/21 00:20:28  mguevara
- rel 0.20061020.2, added fix for dropping packets in receiver (will be
  in the upcoming 0.9.3 release)

Revision 1.16  2006/10/20 23:56:44  mguevara
- up to madwifi-ng-r1757-20061020 - applied TKIP related fix which deals
  with WPA-PSK problems with new 0.9.18.0 HAL (since r1711 20060914)

Revision 1.15  2006/10/02 10:03:51  mguevara
- up to madwifi-ng-r1747-20060929 and madwifi-ng-r1730.patch

Revision 1.14  2006/09/27 00:24:05  pluto
- better arch. selection.

Revision 1.13  2006/09/26 21:25:40  pluto
- gcc4 fix.

Revision 1.12  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.11  2006/07/19 20:12:39  mguevara
- updated to madwifi-ng-r1686-20060715.tar.gz
- updated aircrack-ng patch (and stripped from http...)

Revision 1.10  2006/06/23 08:19:13  tiwek
- added patch for working with aircrack-ng

Revision 1.9  2006/05/31 20:36:06  mguevara
- 20060528 snap (r1611), patch -bashizm obsoleted

Revision 1.8  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.7  2006/04/05 14:13:32  adamg
- 20060404 snap (r1491)
- -bashizm.patch (do not use source to include other files)
- module build synced with madwifi.spec
- pass KERNELPATH where needed

Revision 1.6  2006/01/10 19:09:01  qboosh
- unified

Revision 1.5  2006/01/10 16:25:54  tommat
- added provides/obsoletes madwifi{,-devel}
- simplified install section
- simplified files section
- build with manuals
- rel 3

Revision 1.4  2005/12/30 22:46:59  zboczuch
- added missing wlan_scan_ modules - thanks to Marcin Skubała
  ( m_marcin [at] tlen [dot] pl )
- rel .2

Revision 1.3  2005/12/30 19:31:51  zboczuch
- updated tarball URL
- updated to 2005.12.30 snapshot version
- added source md5
- hm... currently ath_rate_sample builds, ath_rate_onoe does not; it needs
  more time to research it
- pass 'r' letter to 'make intall' due to script which asks for cleaning
  previously found madwifi installations

Revision 1.2  2005/10/24 20:34:55  qboosh
- added missing rcs tags and rev 1.1 commit message

Revision 1.1  2005/10/24 15:01:12  dzimi
- rel 0.1
- based on madwifi.spec
- it is new code based on madwifi from sf.net, support
  - WDS 4 address support
  - Roaming
  - WPA/WPA 2 countermeasures.
  - WMM (Wi-Fi Multimedia)
  - Atheros Fast Frame
  - Atheros XR
  - Atheros SuperA/G bursting
  - Atheros Adaptive Radio
  - Atheros SuperA/G compression
  - Static/Dynamic turbo mode,
  also Virtual AP (VAP) mode, which allows the operation of
  multiple concurrent (virtual) access points, and concurrent
  running in both AP and station mode.
